aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChase Qi <chase.qi@linaro.org>2018-08-02 16:59:42 +0800
committerChase Qi <chase.qi@linaro.org>2018-08-02 18:40:42 +0800
commit34c2be13fdb4bcb4f82ca28a4a7476b5026ae690 (patch)
tree1c2138812f5fac8fa5e4ef74b0803bfd8d9dbb45
parentb61bbe1ec8bd0a3611b208dbefdae60a60cff266 (diff)
Add arm64 and armhf images for qa/test-definitions
Short version git commit hash will be used for image tag so that we know test version included. Image name example: linaro/testdef-arm64-debian-stretch:b6e5458 Change-Id: I7448f315680ad4d8f16bf2ef6d7e8c4106142de0 Signed-off-by: Chase Qi <chase.qi@linaro.org>
-rw-r--r--stretch-arm64-testdef/Dockerfile17
-rwxr-xr-xstretch-arm64-testdef/build.sh13
-rw-r--r--stretch-armhf-testdef/Dockerfile17
-rwxr-xr-xstretch-armhf-testdef/build.sh13
4 files changed, 60 insertions, 0 deletions
diff --git a/stretch-arm64-testdef/Dockerfile b/stretch-arm64-testdef/Dockerfile
new file mode 100644
index 00000000..8a7aaa99
--- /dev/null
+++ b/stretch-arm64-testdef/Dockerfile
@@ -0,0 +1,17 @@
+FROM linaro/ci-arm64-debian:stretch
+
+RUN apt-get update \
+ && DEBIAN_FRONTEND=noninteractive apt-get install -y \
+ python-pip \
+ && git clone -b master http://git.linaro.org/qa/test-definitions.git \
+ && cd test-definitions \
+ && pip install -r automated/utils/requirements.txt \
+ && apt-get clean \
+ && rm -rf \
+ /tmp/* \
+ /var/tmp/*
+
+ENV REPO_PATH=/test-definitions \
+ PATH="/test-definitions/automated/bin:${PATH}"
+
+WORKDIR /test-definitions
diff --git a/stretch-arm64-testdef/build.sh b/stretch-arm64-testdef/build.sh
new file mode 100755
index 00000000..ac64154b
--- /dev/null
+++ b/stretch-arm64-testdef/build.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
+COMMIT_HASH=$(git ls-remote --heads https://git.linaro.org/qa/test-definitions.git | grep master | cut -c1-7)
+
+image=linaro/testdef-${ARCHITECTURE}-debian-${DISTRIBUTION}:${COMMIT_HASH}
+docker build --pull --tag=$image .
+echo $image > .docker-tag
diff --git a/stretch-armhf-testdef/Dockerfile b/stretch-armhf-testdef/Dockerfile
new file mode 100644
index 00000000..ecfab1dc
--- /dev/null
+++ b/stretch-armhf-testdef/Dockerfile
@@ -0,0 +1,17 @@
+FROM linaro/ci-armhf-debian:stretch
+
+RUN apt-get update \
+ && DEBIAN_FRONTEND=noninteractive apt-get install -y \
+ python-pip \
+ && git clone -b master http://git.linaro.org/qa/test-definitions.git \
+ && cd test-definitions \
+ && pip install -r automated/utils/requirements.txt \
+ && apt-get clean \
+ && rm -rf \
+ /tmp/* \
+ /var/tmp/*
+
+ENV REPO_PATH=/test-definitions \
+ PATH="/test-definitions/automated/bin:${PATH}"
+
+WORKDIR /test-definitions
diff --git a/stretch-armhf-testdef/build.sh b/stretch-armhf-testdef/build.sh
new file mode 100755
index 00000000..ac64154b
--- /dev/null
+++ b/stretch-armhf-testdef/build.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
+COMMIT_HASH=$(git ls-remote --heads https://git.linaro.org/qa/test-definitions.git | grep master | cut -c1-7)
+
+image=linaro/testdef-${ARCHITECTURE}-debian-${DISTRIBUTION}:${COMMIT_HASH}
+docker build --pull --tag=$image .
+echo $image > .docker-tag